Package org.apache.sling.servlets.get.impl.helpers

# Class StreamRenderer

java.lang.Object
org.apache.sling.servlets.get.impl.helpers.StreamRenderer

All Implemented Interfaces:
  `Renderer`

public class StreamRenderer extends Object implements Renderer
The `StreamRendererServlet` streams the current resource to the client on behalf of the `DefaultGetServlet`. If the current resource cannot be streamed it is rendered using the `PlainTextRenderer`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`StreamRenderer.Range`

## Constructor Summary

Constructors
Constructor
Description
`StreamRenderer(boolean index, String[] indexFiles, jakarta.servlet.ServletContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`render(org.apache.sling.api.SlingJakartaHttpServletRequest request, org.apache.sling.api.SlingJakartaHttpServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamRenderer

public StreamRenderer(boolean index, String[] indexFiles, jakarta.servlet.ServletContext context)

## Method Details

### render

public void render(org.apache.sling.api.SlingJakartaHttpServletRequest request, org.apache.sling.api.SlingJakartaHttpServletResponse response) throws IOException

Specified by:
  `render` in interface `Renderer`
Throws:
  `IOException`